printjob(8B)

NAME
printjob - print job information

SYNOPSIS
printjob [ -a | -s ] <job ID>
printjob [ -a ] <file path> [<file path>...]
printjob --version

DESCRIPTION
Prints job information. This command is mainly useful for troubleshooting, as during normal operation, the qstat(8B) command is the preferred method for displaying job-specific data and attributes. The server and MoM do not have to be running to execute this command.

Usage
For a running job, you can run this command at any host using a job ID, and you can run this command at any execution host where the job is running using a .JB file path. For a finished job, if job history is enabled, you can run this command at the server using the job ID. When querying the server, you must use the job ID, and the data service must be running. Results will vary depending on whether you use the job ID or a .JB file, and on which execution host you query with a .JB file.

PERMISSIONS
In order to execute printjob, you must have root or Windows Administrator privilege.

OPTIONS

(no options)
    Prints all job data including job attributes.

-a  Suppresses the printing of job attributes. Cannot be used with -s option.

-s  Prints out the job script only. Can be used at server or primary execution host. Cannot be used with -a option. Must be used with a job ID.

--version
    The printjob command returns its PBS version information and exits. This option can only be used alone.

OPERANDS

file path
    The printjob command accepts one or more file path operands at the execution host. Files are found in PBS_HOME/mom_priv/jobs/ on the primary execution host. File path must include full path to file. Cannot be used with -s option.

job ID
    The printjob command accepts a job ID at the server host.
    Format: <sequence number>[.<server name>][@<server name>]
    Data service must be running.

STANDARD ERROR
The printjob command writes a diagnostic message to standard error for each error occurrence.

EXIT STATUS

Zero
    Upon successful processing of all the operands presented to the printjob command

Greater than zero
    If the printjob command fails to process any operand

SEE ALSO
The PBS Professional Administrator's Guide,
pbs_server(8B), qstat(8B)